part of tecfy_basic_package;

class TecfyBasicApp {
  /// theme config class
  static IThemeConfig? themeConfig;

  /// is for testing
  static bool isTest = false;

  /// api service class
  static IApiService apiService = ApiServiceMock();

  /// app version
  static String appVersion = '';
}

class ThemeConfigMock extends IThemeConfig {}

class ApiServiceMock extends IApiService {
  ApiServiceMock();

  @override
  Future<OperationResult> httpDeleteDynamic(String url) {
    throw UnimplementedError();
  }

  @override
  Future<OperationResult> httpDeleteDynamicEx(String url) {
    throw UnimplementedError();
  }

  @override
  Future<OperationResult<Map>> httpGet(String url) {
    throw UnimplementedError();
  }

  @override
  Future<OperationResult> httpGetDynamic(String url) {
    throw UnimplementedError();
  }

  @override
  Future<OperationResult<String>> httpGetString(String url) {
    throw UnimplementedError();
  }

  @override
  Future<OperationResult> httpPost(String url, data, [bool asString = false]) {
    throw UnimplementedError();
  }

  @override
  Future<OperationResult> httpPostEx(String url, data, [bool addToken = true]) {
    throw UnimplementedError();
  }

  @override
  Future<OperationResult<String>> httpPostFile(
      String url, Uint8List fileData, String name,
      [bool isImage = true]) {
    throw UnimplementedError();
  }

  @override
  Future<OperationResult> httpPut(String url, Map data) {
    throw UnimplementedError();
  }

  @override
  Future<OperationResult> httpPutEx(String url, data) {
    throw UnimplementedError();
  }
}
